{
	"compilerOptions": {
		"module": "commonjs",
		"declaration": true,
		"removeComments": true,
		"emitDecoratorMetadata": true,
		"experimentalDecorators": true,
		"allowSyntheticDefaultImports": true,
		"target": "es2017",
		"sourceMap": true,
		"outDir": "./dist",
		"baseUrl": "./src",
		"incremental": true,
		"allowJs": true,
		"resolveJsonModule": true,
		"paths": {
			"@config/*": ["config/*"],
			"@constants/*": ["constants/*"],
			"@models/*": ["models/*"],
			"@repo/*": ["repositories/*"],
			"@shared/*": ["shared/*"],
			"@infra/*": ["infra/*"],
			"@modules/*": ["modules/*"]
		},
		"esModuleInterop": true,
		"skipLibCheck": true
	},
	"include": ["src/**/*"],
	"exclude": ["node_modules", "dist"]
}
